task depth {
    File bam_raw_depth
    File bam_deduped_depth
    String sample_id
    File regions
    String docker
    String cluster_config
    String disk_size
    
    command <<<
        sort -k1,1V -k2,2n ${bam_raw_depth} | awk '{printf "%s:%i\t%i\n" , $1,$2,$3}' > ${sample_id}.raw.sorted.depth
        sort -k1,1V -k2,2n ${bam_deduped_depth} | awk '{printf "%s:%i\t%i\n" , $1,$2,$3}' > ${sample_id}.deduped.sorted.depth
        join -e NULL -a1 -j 1 -o 1.1,1.2,2.2 ${sample_id}.raw.sorted.depth ${sample_id}.deduped.sorted.depth > ${sample_id}.depth
    >>>

    runtime {
        docker:docker
        cluster: cluster_config
        systemDisk: "cloud_ssd 40"
        dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
    }
    output {
        File bam_depth = "${sample_id}.depth"
    }
}
