task raw_depth {
	File raw_bam
	File raw_bam_idx
	String sample_id
	File regions
	String docker
	String cluster_config
	String disk_size
	
	command <<<
		/opt/conda/bin/samtools depth -aa -b ${regions} ${raw_bam} > ${sample_id}.raw.depth
	>>>

	runtime {
		docker:docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		File bam_raw_depth = "${sample_id}.raw.depth"
	}
}
