import "./tasks/raw_depth.wdl" as raw_depth
import "./tasks/deduped_depth.wdl" as deduped_depth
import "./tasks/depth.wdl" as depth

workflow {{ project_name }} {
	File raw_bam
	File raw_bam_idx
	File deduped_bam
	File deduped_bam_idx
	String sample_id
	File regions
	String docker
	String cluster_config
	String disk_size

	call raw_depth.raw_depth as raw_depth {
		input:	
		raw_bam=raw_bam,
		raw_bam_idx=raw_bam_idx,
		sample_id=sample_id,
		regions=regions,
		docker=docker,
		cluster_config=cluster_config,
		disk_size=disk_size
	}

	call deduped_depth.deduped_depth as deduped_depth {
		input:
		deduped_bam=deduped_bam,
		deduped_bam_idx=deduped_bam_idx,
		sample_id=sample_id,
		regions=regions,
		docker=docker,
		cluster_config=cluster_config,
		disk_size=disk_size
	}

	call depth.depth as depth {
		input:	
		bam_raw_depth=raw_depth.bam_raw_depth,
		bam_deduped_depth=deduped_depth.bam_deduped_depth,
		sample_id=sample_id,
		regions=regions,
		docker=docker,
		cluster_config=cluster_config,
		disk_size=disk_size
	}
}